<?php
//Автор-TheAlex
//Сайт Php-Zona.Ru
//(c)CreaWap
//Создаем титл страницы
$title = 'Биллинг | Админ-панель';
#Подключаем функции
require_once ('../system/function.php');
#Подключаем шапку
require_once ('../system/header.php');

//-----Переадресовуем не авторизированного и без левела-----//
if(!$user['id'] or $user['level'] < 1) {
echo '<div class="title">Ошибка</div>
<div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
if ($_GET['act']=='output')
{
$sql="SELECT * FROM `output`";
$data=mysql_query($sql);
while ($line=mysql_fetch_row($data))
{
echo '<div class="links">Управление заявками';
echo '</div>';
echo '<div class="podmenu">';
echo "<br />ID заявки : ".$line[0];
echo "<br />ID пользователя : ".nick($line[1]);
echo "<br />Сумма вывода:".$line[2];

echo '<br /><a href="?act=ok&id='.$line[0].'&idu='.$line[1].'">Вывести деньги</a>|<a href="?act=no&id='.$line[0].'&idu='.$line[0].'">Отклонить заявку</a>|<a href="?act=del&id='.$line[0].'&idu='.$line[0].'">Удалить заявку</a>';

echo '</div>';
}
echo '<div class="podmenu"><a href="?act=trunkate">Очистить все заявки</a></div>';
require_once ('../system/footer.php');
exit();
}
if ($_GET['act']=='ok')
{
$id=$_GET['id'];
$idu=$_GET['idu'];
mysql_query("UPDATE output SET consideration='1' WHERE id='$id'");
mysql_query("DELETE FROM `output` WHERE `id`='$id'");

mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$idu."', `kto` = '1', `text` = 'Ваша заявка на вывод успешно выполнена[url=".$HOME."/billing/] в биллинг[/url]'");

echo '<div class="podmenu">Вывод успешно произведен!<br /><a href="?act=output">Назад</a></div>';
require_once ('../system/footer.php');
exit();
}
if ($_GET['act']=='no')
{
$id=$_GET['id'];
$idu=$_GET['idu'];
mysql_query("UPDATE output SET consideration='2' WHERE id='$id'");
mysql_query("DELETE FROM `output` WHERE `id`='$id'");

mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$idu."', `kto` = '1', `text` = 'Ваша заявка на вывод отклонена[url=".$HOME."/billing/] в биллинг[/url]'");

echo '<div class="podmenu">Заявка отклонена<br /><a href="?act=output">Назад</a></div>';
require_once ('../system/footer.php');
exit();
}
if ($_GET['act']=='del')
{
$id=$_GET['id'];
$idu=$_GET['idu'];

mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$idu."', `kto` = '1', `text` = 'Ваша заявка на вывод удалена администратором ".$user['id']." [url=".$HOME."/billing/] в биллинг[/url]'");

mysql_query("DELETE FROM `output` WHERE `id`='$id'");
echo '<div class="podmenu">Заявка удалена<br /><a href="?act=output">Назад</a></div>';
require_once ('../system/footer.php');
exit();
}
if ($_GET['act']=='trunkate')
{
mysql_query ("TRUNCATE TABLE output");
echo'<div class="podmenu">Все заявки удалены<br /><a href="?act=output">Назад</a> </div>';
require_once ('../system/footer.php');
exit();
}
echo '<div class="podmenu"><a href="?act=output">Заявки на вывод</a></div>';
#Подключаем ноги
require_once ('../system/footer.php');
?>